% this program can read netcdf files into matlab if the netcdf toolbox has
% been insatlled (see SoftwareTips.pdf)

infi='C:\Documents and Settings\schmid\My Documents\ARGO\data\aoml\4900169\4900169_prof.nc';
outfi='4900169_prof.mat'
infi='C:\Documents and Settings\schmid\My Documents\ARGO\data\aoml\4900169\4900169_traj.nc';
outfi='4900169_traj.mat'
data=loadcdf([],infi,'');

% convert character flags to numbers
if isfield(data,'PRES_QC'), k=find(data.PRES_QC==32);, data.PRES_QC(k)='0';, end
if isfield(data,'TEMP_QC'), k=find(data.TEMP_QC==32);, data.TEMP_QC(k)='0';, end
if isfield(data,'PSAL_QC'), k=find(data.PSAL_QC==32);, data.PSAL_QC(k)='0';, end
% replace fill value with NaN
k=find(data.PRES==99999);, data.PRES(k)=NaN
k=find(data.TEMP==99999);, data.TEMP(k)=NaN;
k=find(data.PSAL==99999);, data.PSAL(k)=NaN;
for k=1:size(data.TEMP,2)
   if isfield(data,'PRES_QC'), pf(:,k)=str2num(data.PRES_QC(:,k));, end
   if isfield(data,'TEMP_QC'), tf(:,k)=str2num(data.TEMP_QC(:,k));, end
   if isfield(data,'PSAL_QC'), sf(:,k)=str2num(data.PSAL_QC(:,k));, end
end
if isfield(data,'PRES_QC'), data.PRES_QC=pf;, clear pf, end
if isfield(data,'TEMP_QC'), data.TEMP_QC=tf;, clear tf, end
if isfield(data,'PSAL_QC'), data.PSAL_QC=sf;, clear sf, end

% set bad data to NaN
if isfield(data,'PRES_QC'), ii=find(data.PRES_QC~=1 & data.PRES_QC~=2); data.PRES(ii)=NaN;, end
if isfield(data,'TEMP_QC'), ii=find(data.TEMP_QC~=1 & data.TEMP_QC~=2); data.TEMP(ii)=NaN;, end
if isfield(data,'PSAL_QC'), ii=find(data.PSAL_QC~=1 & data.PSAL_QC~=2); data.PSAL(ii)=NaN;, end

eval(['save ' outfi ' data'])

