% this program can plot a TS diagram from a multiprofile file
% created with demo_nc2mat.m
infi='4900169_prof.mat'
load(infi)
fonts=16;

a=[floor(min9(data.PSAL(:))) ceil(max9(data.PSAL(:))) ...
   floor(min9(data.TEMP(:))) ceil(max9(data.TEMP(:)))];
if length(find(isnan(a))), a=[];, end

plot(data.PSAL,data.TEMP,'.')

if length(find(~isnan(data.TEMP))) > 1 & ...
   length(find(~isnan(data.PSAL)))>1
   if length(a)==4, a, axis(a), end, hold on
   tsdens(0,20:.2:30,'Salinity','Temperature')
   xlabel('Salinity'),ylabel('Temperature [^oC]')
   axfont(fonts)
end

