function [filenam]=makenam(erst,num,ext,nullen)
% function [filenam]=makenam(erst,num,ext,nullen);
%
% creates filename from `erst', `num' and `ext'
%
% erst    first part of filename including path
% num     must be integer
% ext     extension of filename without .
% nullen  is the length of the string with the filenumber
%
n=nullen;
cnum=num2str(zeros([1 nullen]),-6);
snum=num2str(num);
l=length(snum);
cnum(n-l+1:n) = snum;
if ~length(ext),
   filenam = [erst cnum];
elseif findstr('.',ext)
   filenam = [erst cnum ext];
else
   filenam = [erst cnum '.' ext];
end
